<ui:composition xmlns:rich="http://richfaces.org/rich"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml" xmlns:c="http://java.sun.com/jstl/core">
    <!-- parameters: selectedEncounter
                       selectedMovement
                       event: code of the current insert event
                       managedBean: the backing bean to call -->
    <ul class="nav nav-tabs" role="tablist">
        <li role="presentation" class="active">
            <a href="#iinfo" aria-controls="iinfo" role="tab" data-toggle="tab">#{messages['gazelle.simulator.pam.GeneralInformations']}</a>
        </li>
        <c:if test="${event.equals('A15') or event.equals('A07') or event.equals('A06') or event.equals('A02') or event.equals('A09') or event.equals('A10')}">
            <li role="presentation">
                <a href="#iloc" aria-controls="iloc" role="tab" data-toggle="tab">#{messages['gazelle.simulator.pam.PatientsNewLocation']}</a>
            </li>
        </c:if>
        <c:if test="${event.equals('A54')}">
            <li role="presentation">
                <a href="#idoc" aria-controls="idoc" role="tab"
                   data-toggle="tab">#{messages['gazelle.simulator.pam.Doctors']}</a>
            </li>
        </c:if>
        <c:if test="${event.equals('A01') or event.equals('A04')}">
            <li role="presentation">
                <a href="#doc4admit" aria-controls="doc4admit" role="tab"
                   data-toggle="tab">#{messages['gazelle.simulator.pam.Doctors']}</a>
            </li>
        </c:if>

        <c:if test="${historic}">
            <li role="presentation">
                <a href="#iward" aria-controls="iward" role="tab"
                   data-toggle="tab">#{messages['gazelle.pam.Wards']}</a>
            </li>
        </c:if>
        <c:if test="${pesManager.isBP6Mode()}">
            <li role="presentation">
                <a href="#idrg" aria-controls="idrg" role="tab"
                   data-toggle="tab">#{messages['gazelle.pam.DRGMovement_2']}</a>
            </li>
            <li role="presentation">
                <a href="#iadd" aria-controls="iadd" role="tab"
                   data-toggle="tab">#{messages['gazelle.simulator.pam.AdditionalInformation']}</a>
            </li>
            <li role="presentation">
                <a href="#idmp" aria-controls="idmp" role="tab"
                   data-toggle="tab">#{messages['gazelle.pam.PatientsPHR']}</a>
            </li>
        </c:if>
    </ul>
    <div class="tab-content tab-content-with-border">
        <div role="tabpanel" class="tab-pane active" id="iinfo">
            <dl class="dl-horizontal">
                <s:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.VisitNumber']}</ui:define>
                    <div class="row">
                        <h:outputText value="#{selectedEncounter.visitNumber}"/>
                        <span style="width: 5px"/>
                        <h:outputLink value="#{selectedEncounter.getPermanentLink()}" target="blank">
                            <s:span styleClass="gzl-icon-search"/>
                        </h:outputLink>
                    </div>
                </s:decorate>
                <!-- admission date for pre-admission confirmation -->
                <s:decorate template="/layout/display/_data_list_item.xhtml"
                            rendered="#{managedBean.confirmPreadmission}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.ExpectedAdmissionDatetime']}
                    </ui:define>
                    <g:date value="#{selectedEncounter.expectedAdmitDate}"/>
                </s:decorate>
            </dl>
            <div class="form-horizontal">
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                            rendered="#{managedBean.confirmPreadmission}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.PatientClass']}</ui:define>
                    <ui:param name="id" value="inputClass"/>
                    <h:selectOneMenu value="#{selectedEncounter.patientClassCode}" id="inputClass" styleClass="form-control">
                        <f:selectItems value="#{valueSet.getListOfConcepts('HL70004')}"/>
                    </h:selectOneMenu>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                            rendered="#{managedBean.confirmPreadmission}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.AdmissionDatetime']}</ui:define>
                    <ui:param name="id" value="admissionDate"/>
                    <a4j:outputPanel id="admissionDate" layout="block">
                        <rich:calendar value="#{selectedEncounter.admitDate}"
                                       locale="#{localeSelector.localeString}"
                                       datePattern="dd/MM/yyyy HH:mm" showApplyButton="false"
                                       style="width:200px">
                        </rich:calendar>
                    </a4j:outputPanel>
                </s:decorate>
                <!-- Planned date for pending transfer -->
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                            rendered="#{event.equals('A15')}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.PlannedDatetime']}</ui:define>
                    <ui:param name="id" value="plannedDate"/>
                    <a4j:outputPanel id="plannedDate" layout="block">
                        <rich:calendar value="#{selectedEncounter.transferPlannedDate}"
                                       locale="#{localeSelector.localeString}"
                                       datePattern="dd/MM/yyyy HH:mm" showApplyButton="false"
                                       style="width:200px">
                        </rich:calendar>
                    </a4j:outputPanel>
                </s:decorate>
                <!-- Discharge date -->
                <c:if test="${event.equals('A03')}">
                    <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:define name="label">#{messages['gazelle.simulator.pam.DischargeDatetime']}
                        </ui:define>
                        <ui:param name="id" value="dischargeDate"/>
                        <a4j:outputPanel id="dischargeDate" layout="block">
                            <rich:calendar value="#{selectedEncounter.dischargeDate}"
                                           locale="#{localeSelector.localeString}"
                                           datePattern="dd/MM/yyyy HH:mm" showApplyButton="false"
                                           style="width:200px">
                            </rich:calendar>
                        </a4j:outputPanel>
                    </ui:decorate>
                    <s:div id="death">
                        <ui:decorate template="/layout/form/_form_checkbox_horizontal_3-9.xhtml">
                            <h:selectBooleanCheckbox value="#{selectedPatient.patientDead}">
                                <a4j:ajax event="change" render="death"/>
                            </h:selectBooleanCheckbox>
                            #{messages['net.ihe.gazelle.simulators.PatientIsDead']}
                        </ui:decorate>
                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                                    rendered="#{selectedPatient.patientDead}" id="deathTimeDecorate">
                            <ui:define name="label">#{messages['net.ihe.gazelle.simulators.PatientDeathDatetime']}
                            </ui:define>
                            <ui:param name="id" value="deathDate"/>
                            <a4j:outputPanel id="deathDate" layout="block">
                                <rich:calendar value="#{selectedPatient.patientDeathTime}"
                                               locale="#{localeSelector.localeString}"
                                               datePattern="dd/MM/yyyy HH:mm" showApplyButton="false"
                                               style="width:200px">
                                </rich:calendar>
                            </a4j:outputPanel>
                        </s:decorate>
                    </s:div>
                </c:if>
                <!-- expected discharge date -->
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                            rendered="#{event.equals('A16')}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.ExpectedDischargeDatetime']}
                    </ui:define>
                    <ui:param name="id" value="expectedDischargeDate"/>
                    <a4j:outputPanel id="expectedDischargeDate" layout="block">
                        <rich:calendar value="#{selectedEncounter.expectedDischargeDate}"
                                       locale="#{localeSelector.localeString}" datePattern="dd/MM/yyyy HH:mm"
                                       showApplyButton="false" style="width:200px">
                        </rich:calendar>
                    </a4j:outputPanel>
                </s:decorate>
                <!-- LOA date -->
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                            rendered="#{event.equals('A21')}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.LeaveOfAbsenceDatetime']}
                    </ui:define>
                    <ui:param name="id" value="loaDate"/>
                    <a4j:outputPanel id="loaDate" layout="block">
                        <rich:calendar value="#{selectedEncounter.leaveOfAbsenceDate}"
                                       locale="#{localeSelector.localeString}"
                                       datePattern="dd/MM/yyyy HH:mm" showApplyButton="false"
                                       style="width:200px">
                        </rich:calendar>
                    </a4j:outputPanel>
                </s:decorate>
                <!-- LOA expected return date -->
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                            rendered="#{event.equals('A21')}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.ExpectedReturnDatetime']}
                    </ui:define>
                    <ui:param name="id" value="expectedReturnDate"/>
                    <a4j:outputPanel id="expectedReturnDate" layout="block">
                        <rich:calendar value="#{selectedEncounter.expectedLOAReturn}"
                                       locale="#{localeSelector.localeString}"
                                       datePattern="dd/MM/yyyy HH:mm" showApplyButton="false"
                                       style="width:200px">
                        </rich:calendar>
                    </a4j:outputPanel>
                </s:decorate>
                <!-- LOA return date -->
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                            rendered="#{event.equals('A22')}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.LoaReturnDatetime']}</ui:define>
                    <ui:param name="id" value="loaReturnDate"/>
                    <a4j:outputPanel id="loaReturnDate" layout="block">
                        <rich:calendar value="#{selectedEncounter.loaReturnDate}"
                                       locale="#{localeSelector.localeString}"
                                       datePattern="dd/MM/yyyy HH:mm" showApplyButton="false"
                                       style="width:200px">
                        </rich:calendar>
                    </a4j:outputPanel>
                </s:decorate>
            </div>
        </div>
        <c:if test="${event.equals('A15') or event.equals('A07') or event.equals('A06') or event.equals('A02') or event.equals('A09') or event.equals('A10')}">
            <div role="tabpanel" class="tab-pane" id="iloc">
                <ui:include src="/pes/_editPatientLocation.xhtml">
                    <ui:param name="aMovement" value="#{selectedMovement}"/>
                </ui:include>
            </div>
        </c:if>
        <c:if test="${event.equals('A54')}">
            <div role="tabpanel" class="tab-pane" id="idoc">
                <div class="row">
                    <div class="col-md-3"/>
                    <div class="col-md-9">
                        <dl class="dl-horizontal">
                            <s:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['gazelle.pam.PriorAttendingDoctor']}</ui:define>
                                <h:outputText
                                        value="#{valueSet.getDisplayNameForCode('DOCTOR', selectedEncounter.priorAttendingDoctorCode)}"/>
                            </s:decorate>
                        </dl>
                    </div>
                </div>
                <div class="form-horizontal">
                    <s:decorate id="changeDoctor" template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:define name="label">#{messages['gazelle.simulator.pam.NewAttendingDoctor']}</ui:define>
                        <ui:param name="id" value="newAttendingDocInput"/>
                        <h:selectOneMenu value="#{selectedEncounter.attendingDoctorCode}" id="newAttendingDocInput"
                                         styleClass="form-control">
                            <f:selectItems value="#{valueSet.getListOfConcepts('DOCTOR')}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </div>
            </div>
        </c:if>
        <c:if test="${event.equals('A01') or event.equals('A04')}">
            <div role="tabpanel" class="tab-pane" id="doc4admit">
                <ui:include src="/iti31/_editDoctors.xhtml">
                    <ui:param name="event" value="#{event}"/>
                    <ui:param name="aEncounter" value="#{selectedEncounter}"/>
                </ui:include>
            </div>
        </c:if>
        <c:if test="${historic}">
            <div role="tabpanel" class="tab-pane" id="iward">
                <s:div styleClass="form-horizontal">
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:define name="label">#{messages['gazelle.pam.MedicalResponsabilityWard']}</ui:define>
                        <ui:param name="id" value="medward"/>
                        <h:selectOneMenu id="medward" value="#{selectedMovement.wardCode}"
                                         styleClass="form-control">
                            <f:selectItems value="#{valueSet.getListOfConcepts('MEDICAL_WARD')}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:define name="label">#{messages['gazelle.pam.NursingResponsabilityWard']}</ui:define>
                        <ui:param name="id" value="nurseward"/>
                        <h:selectOneMenu id="nurseward" value="#{selectedMovement.nursingCareWard}"
                                         styleClass="form-control">
                            <f:selectItems value="#{valueSet.getListOfConcepts('NURSING_WARD')}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:define name="label">
                            <h:outputText value="#{messages['gazelle.pam.NatureOfMovement']}" rendered="#{pesManager.isBP6Mode()}"/>
                            <h:outputText value="#{messages['gazelle.PAMSimulator.ScopeOfMovement']}" rendered="#{not pesManager.isBP6Mode()}"/>
                        </ui:define>
                        <ui:param name="id" value="nature"/>
                        <h:selectOneMenu id="nature" value="#{selectedMovement.natureOfMovement}"
                                         styleClass="form-control">
                            <f:selectItems value="#{valueSet.getListOfConcepts('HL79106')}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </s:div>
            </div>
        </c:if>
        <c:if test="${pesManager.isBP6Mode()}">
            <div role="tabpanel" class="tab-pane" id="idrg">
                <ui:include src="/fr/_editDRGMovement.xhtml">
                    <ui:param name="drg" value="#{selectedEncounter.drgMovement}"/>
                </ui:include>
            </div>
            <div role="tabpanel" class="tab-pane" id="iadd">
                <ui:include src="/fr/_editAdditionalEncounterInfo.xhtml">
                    <ui:param name="zfv" value="#{selectedEncounter.encounterAdditionalInfo}"/>
                </ui:include>
            </div>
            <div role="tabpanel" class="tab-pane" id="idmp">
                <ui:include src="/fr/_editPatientsPHR.xhtml">
                    <ui:param name="phr" value="#{selectedEncounter.patientsPHRInfo}"/>
                </ui:include>
            </div>
        </c:if>
    </div>
</ui:composition>
